Empty Team Folder Trash

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API clears the files and folders in the Team Folder trash permanently.

Endpoints

OAuth Scope

WorkDrive.files.DELETECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request POST \
  --url https://www.zohoapis.com/workdrive/api/v1/actions \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"parent_id":"ly9zmacc69de0061b47ad9f09060734858fc4"},"id":"emptytrash","type":"actions"}}'

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
parent_idstring(Required)

The unique ID of a Team Folder.

idstring(Required)

Set as "emptytrash".

typestring(Required)

The JSON:API resource type. Always "actions".

Allowed Values :
Show Values
actionsCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "parent_id": "ly9zmacc69de0061b47ad9f09060734858fc4"
      },
      "id": "emptytrash",
      "type": "actions"
    }
  }
                
Show full

Response Example

T001

U001

F000

200
200
400
401
500
Copied!
  {
    "data": {
      "id": "emptytrash",
      "type": "actions",
      "attributes": {
        "parent_id": "ly9zmacc69de0061b47ad9f09060734858fc4"
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/actions/emptytrash"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "T001",
        "title": "No Such Team"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U001",
        "title": "User not logged in. Please Log in"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full